/******************************************************************************
 *                                                                            *
 * File:   gsm0338.h          Version  1.00            Date: 2001-03-30       *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     2001-03-30: KK V1.00                                                   *
 *        - initial generation                                                *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Constants

******************************************************************************/

#define	CHARNUM		128
#define	BAD		0xFFFE	/* the unconvertable character	*/

#define	TRANS_C(a)	c_gsm0338 [a]
#define	TRANS_ESC_C(a)	c_gsm0338_esc [a]

/******************************************************************************

	Program Version Constants

******************************************************************************/

#define	PRGNAM		"gsm0338"
#define	VERSION		"V1.00 (2001-03-30)"

/******************************************************************************

	Program Return Codes

 *****************************************************************************/

#define ERR_NONE                0       /* everything seemed to work    */

#define ERR_BAD                 1       /* unconv. characters in input  */
#define ERR_SYNTAX              2       /* syntax error                 */
#define ERR_SRC                 3       /* unable to open input file    */
#define ERR_DST                 4       /* unable to create output file */

/******************************************************************************

	Program Messages

 *****************************************************************************/

#define MSG_COPYRIGHT           \
"Copyright (c) 1993-2001 by Kostis Netzwerkberatung\n\
Talstr. 25, D-63322 Roedermark, Tel. +49 6074 881056, FAX 881058\n\
kosta@kostis.net (Kosta Kostis), http://www.kostis.net/\n\
\n\
\tThis program may be used free of charge at your own risk.\n"

#define MSG_VERSION             "%s %s\n"
#define MSG_FROM_TO             \
"\nSource character encoding:\n\n\
\t%s\n\
\t%s\n\
\t%s\n\
\t%s\n\
\nDestination character encoding:\n\n\
\t%s\n\
\t%s\n\
\t%s\n\
\t%s\n\n"

#define	SRC_NAME	"GSM 03.38 (common for SMS)"
#define	SRC_COMMENT1	"V2.00 by Kosta Kostis <kosta@kostis.net>"
#define	SRC_COMMENT2	"Source: http://www.dreamfabric.com/sms/default_alphabet.html"
#define	SRC_COMMENT3	"additional codes after ESCAPE (10) including EURO SIGN"
#define	DST_NAME	"ISO/IEC 10646-1:2000 aka Unicode 3.0.1"
#define	DST_COMMENT1	"V3.0.1 by Unicode Consortium http://www.unicode.org/"
#define	DST_COMMENT2	"Source: ftp://ftp.unicode.org/Public/UNIDATA/UnicodeData.txt"
#define	DST_COMMENT3	"converted, sorted & edited by Kosta Kostis <kosta@kostis.net>"

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_SYNTAX          "Syntax: %s <src >dst [-n] [-u] [-r]\n"


/******************************************************************************

	Program Constants

 *****************************************************************************/

#define UCS2_INTRO              0xFEFF	/* UCS2 file format header	*/
#define	ESCAPE			0x1B	/* ESCAPE character		*/
