/******************************************************************************
 *                                                                            *
 * File:   utf8.h             Version  1.30            Date: 2001-03-04       *
 *                                                                            *
 * Copyright (C) 1993-2001 by Kostis Netzwerkberatung                         *
 * Talstr. 25, D-63322 Roedermark, Tel. +49 6074 881056, FAX 881058           *
 * kosta@kostis.net (Kosta Kostis), http://www.kostis.net/                    *
 *                                                                            *
 *         This function may be used free of charge at your own risk.         *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     2001-03-04: KK V1.30                                                   *
 *        - see utf8.c                                                        *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************
									      
	Function Constants

 *****************************************************************************/

#define	ISO10646_BAD		0xFFFE
#define	ISO10646_BAD2		0xFFFF

/******************************************************************************
									      
	Function Return Codes

 *****************************************************************************/

#define	UTF8_OK			0
#define	UTF8_EOF		1
#define	UTF8_NULLPOINTER	2
#define	UTF8_SURROGATE		3
#define	UTF8_ILLEGAL		4
#define	UTF8_MALFORMED		5
 
/******************************************************************************
									      
	Data Types

 *****************************************************************************/

#ifdef	__FreeBSD__
	#include <sys/types.h>
#else
	typedef	unsigned int	uchar32 ;
#endif

/******************************************************************************
									      
	Function Prototypes

 *****************************************************************************/

extern	int	UTF8_Check (uchar32 ch) ;
extern  int	UTF8_Write (FILE *FUTF8, uchar32 ch) ;
extern	int	UTF8_Read (FILE *FUTF8, uchar32 *ch) ;
